// <PEdit2.cpp> ver.0.5
// Created By T.Kanda 1997.07.18
//

#include "PEdit.h"
#include "PEditWindow.h"
#include "FindDialog.h"

PEFindDialog::PEFindDialog(PEWindow *win, BRect frame)
:BWindow(frame, "", B_MODAL_WINDOW, B_NOT_CLOSABLE | B_NOT_RESIZABLE | B_NOT_ZOOMABLE) {
	BRect       rect, editRect;
    BView       *bg;
    BStringView *prompt;
	BBox        *border;
    BButton     *ok, *cancel;

    mWin = win;

    Lock();
	frame.OffsetTo(B_ORIGIN);
	bg = new BView(frame, "", B_FOLLOW_NONE, B_WILL_DRAW);
	AddChild(bg);
	bg->SetViewColor(kControl);
	
	rect.Set(0, 0, 50, 16);
	rect.OffsetTo(4, 7);
	prompt = new BStringView(rect, "", "Find : ");
	prompt->SetViewColor(kControl);
	bg->AddChild(prompt);
	
	rect.Set(0, 0, 234, 16);
	rect.OffsetTo(58, 8);
	border = new BBox(rect, "");
	bg->AddChild(border);

    editRect = rect;
	editRect.OffsetTo(B_ORIGIN);
	editRect.InsetBy(1, 1);
	txtTerget = new BTextView(editRect, "", editRect, B_FOLLOW_NONE, B_WILL_DRAW);
	border->AddChild(txtTerget);
//	txtPos->SetMaxChars(10);
	txtTerget->MakeEditable(true);
	txtTerget->MakeSelectable(true);
	txtTerget->MakeFocus(true);
	
	rect.Set(0, 0, 60, 20);
	rect.OffsetTo(324, 4);
    ok = new BButton(rect, "", "OK", new BMessage(BUTTON_OK));
    bg->AddChild(ok);

	rect.Set(0, 0, 60, 20);
	rect.OffsetTo(394, 4);
    cancel = new BButton(rect, "", "Cancel", new BMessage(B_QUIT_REQUESTED));
    bg->AddChild(cancel);
    Unlock();
}

void PEFindDialog::MessageReceived(BMessage *message) {
	if (message) {
        switch (message->what) {
        case BUTTON_OK:
            mWin->FindWord(txtTerget->Text());
            BMessage *msg = new BMessage(B_QUIT_REQUESTED);
            PostMessage(msg);
	        break;
        }
    }
}

bool PEFindDialog::QuitRequested() {
	return(true);
}
