// <PEdit2.cpp> ver.0.5
// Created By T.Kanda 1997.07.18
//

#include "CTagsView.h"
#include "PEditTextView.h"

PETextView::PETextView(BRect frame, const char *name)
	   	   : CScrollTextView(frame, name)
{
}

void PETextView::Draw(BRect /*rect*/)
{
	CPageView *view = (CPageView*)Parent();
	if (view) {
		view->SetHighColor(kControlShadow);
		BRect frame = ConvertToParent(Bounds());
		frame.InsetBy(-1, -1);
		view->StrokeLine(*(new BPoint(frame.left, frame.top)), *(new BPoint(frame.left, frame.bottom)));
		view->StrokeLine(*(new BPoint(frame.left, frame.top)), *(new BPoint(frame.right, frame.top)));

		view->SetHighColor(kControlHilite);
		view->StrokeLine(*(new BPoint(frame.left, frame.bottom)), *(new BPoint(frame.right, frame.bottom)));
		view->StrokeLine(*(new BPoint(frame.right, frame.top)), *(new BPoint(frame.right, frame.bottom)));
	}
}
