// <PEdit2.cpp> ver.0.5
// Created By T.Kanda 1997.07.18
//

#include "PEdit.h"
#include "PEditWindow.h"

main()
{	
	PEApp *app = new PEApp();
	app->Run();
	delete(app);
	return(0);
}

PEApp::PEApp() : BApplication("application/x-vnd.BeProject-PEDT")
{
    BRect rect;

    mWinCount = 1;

	rect.Set(5, 25, 605, 431);
	mywindow = new PEWindow(rect);
	
	mywindow->Show();	
}

PEApp::~PEApp()
{
}

void PEApp::MessageReceived(BMessage *message)
{
    BRect     rect;
    entry_ref ref;

	if (message) {
        switch (message->what) {
        case B_SAVE_REQUESTED:
            if (message->FindRef("directory", &ref) == B_OK) {
                const char *f_name = message->FindString("name");
                mywindow->WriteFile(&ref, f_name);
            }
            break;
        case MSG_NEW_WINDOW:
            mWinCount++;
            
            float x_pos = 5 + (mWinCount - 1) * 60;
	        rect.Set(x_pos, 25, x_pos + 600, 431);
	        mywindow = new PEWindow(rect);
	
        	mywindow->Show();	
            break;
        case MSG_CLOSE_WINDOW:
            mWinCount--;
            if (mWinCount == 0) {
                be_app->PostMessage(B_QUIT_REQUESTED);
            }
            break;
        default:
        	BApplication::MessageReceived(message);
        }
    }
}

void PEApp::RefsReceived(BMessage *message)
{
    uint32    type;
    int32     count;
    entry_ref ref;

    message->GetInfo("refs", &type, &count);
    if (type != B_REF_TYPE) return;
    
    for (int i = --count; i >= 0; i--) {
        if (message->FindRef("refs", i, &ref) == B_OK) {
            mywindow->ReadFile(&ref);
        }
    }
}

/*
void PEApp::ReadyToRun(void)
{
	PEWindow	*window;

	if (!mWinCount) {
		window = NewWindow();
		window->Show();
	}
}

*/
