// <PEdit2.h> ver.0.5
// Created By T.Kanda 1997.07.18
//

#ifndef PEDIT_H
#define PEDIT_H

#include <Application.h>
#include <Window.h>
#include <stdio.h>
#include <string.h>
#include <interface/Box.h>
#include <interface/StringView.h>
#include <interface/TextView.h>
#include <interface/Button.h>
#include <interface/Alert.h>
#include <nustorage/FilePanel.h>
//#include <Be.h>
#include "CControlDefs.h"
#include "CTagsView.h"
#include "CToolButton.h"
#include "CProgressBar.h"
#include "CScrollTextView.h"
//#include "CColorButton.h"

#define PAGE_MAX              8
#define MENU_BAR_NOMAL_HEIGHT 10
#define TOOLBAR_HEIGHT        23

#define DEFAULT_SIZE_POINT    2
#define DEFAULT_FONT_FAMILY   "Courier10 BT"
#define DEFAULT_FONT_STYLE    "Roman"
#define DEFAULT_DIRECTORY     "/boot"
#define DEFAULT_STYLE_POINT   0

typedef struct  {
    char FontName[64];
    int  NumStyles;
    char FontStyle[8][64];
} FONT_INFO;

enum MenuConstants {
	MENU_NEW = 256,
	MENU_NEW_WINDOW,
	MENU_OPEN,
	MENU_OPEN_WITH_NEW_WINDOW,
    MENU_SAVE,
    MENU_SAVE_AS,
	MENU_REVERT,
	MENU_PAGE_SETUP,
	MENU_PRINT,
	MENU_CLOSE_WINDOW,
	MENU_CLOSE,
	MENU_UNDO,
	MENU_CUT,
	MENU_COPY,
	MENU_PASTE,
	MENU_CLEAR,
	MENU_SELECT_ALL,
	MENU_FIND,
	MENU_FIND_AGAIN,
    MENU_JUMP,
	MENU_SIZE,
	MENU_ABOUT,
	MENU_HELP,
	MENU_FONT
};

enum MsgConstants {
    MSG_NEW_WINDOW = 512,
    MSG_CLOSE_WINDOW
};

enum ToolButtonConstants {
    BUTTON_NEW = 1024,
    BUTTON_OPEN,
    BUTTON_SAVE,
    BUTTON_PRINT,
    BUTTON_UNDO,
    BUTTON_CUT,
    BUTTON_COPY,
    BUTTON_PASTE,
    BUTTON_FIND,
    BUTTON_OK,
    BUTTON_11,
    BUTTON_12,
    BUTTON_13
};

class PEWindow;

class PEApp : public BApplication {
	public:
		PEApp();
		~PEApp();

    protected:
		virtual void MessageReceived(BMessage *);
		virtual void RefsReceived(BMessage *);

	private:
		PEWindow *mywindow;
		int      mWinCount;
};


#endif
