// <CBitmapButton.h> ver. 1.0
// Designed By S.Osanai
// Created By T.Kanda 1997.07.11
//

#ifndef CBITMAPBUTTON_H
#define CBITMAPBUTTON_H

#include <Picture.h>
#include <PictureButton.h>

#include "CControlDefs.h"

class CBitmapButton : public BPictureButton {
    public:
    	CBitmapButton(BRect frame,
    	              const char *name,
    	              unsigned char *off,
    	              unsigned char *on,
                      BMessage *message,
                      uint32 behavior = B_ONE_STATE_BUTTON,
    	              uint32 resizingMode = B_FOLLOW_LEFT | B_FOLLOW_TOP,
    	              uint32 flags = B_WILL_DRAW | B_NAVIGABLE); 
    	CBitmapButton(BRect frame,
    	              const char *name,
    	              unsigned char *off,
    	              unsigned char *on,
    	              unsigned char *offDisable,
    	              unsigned char *onDisable,
                      BMessage *message,
                      uint32 behavior = B_ONE_STATE_BUTTON,
    	              uint32 resizingMode = B_FOLLOW_LEFT | B_FOLLOW_TOP,
    	              uint32 flags = B_WILL_DRAW | B_NAVIGABLE); 
		~CBitmapButton();
	private:
        BPicture *SetPicture(BRect, const unsigned char *);
        BPicture *BitmapToPicture(BBitmap *);
};

#endif
